Bug 814516 - Update to kde-plasma-networkmanagement broke *active* wireless
Update to kde-plasma-networkmanagement broke *active* wireless
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 00:04 EDT by Jerry Amundson
Modified: 2012-05-26 19:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 19:04:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2012-04-20 00:04:57 EDT
Description of problem:
Update to kdenetwork-4.8.2-1.fc16 broke wireless

Version-Release number of selected component (if applicable):
kdenetwork-4.8.2-1.fc16

How reproducible:
always

Steps to Reproduce:
1.update
2.
3.
  
Actual results:
prompted for key. no wireless

Expected results:
Everything working - as they were before the updates.

Additional info:
$ rpm -qa --last | grep etwork
NetworkManager-0.9.4-2.git20120403.fc16       Thu 19 Apr 2012 09:56:30 PM CDT
kdenetwork-4.8.2-1.fc16                       Thu 19 Apr 2012 09:55:38 PM CDT
kdenetwork-fileshare-samba-4.8.2-1.fc16       Thu 19 Apr 2012 09:54:32 PM CDT
kdenetwork-kdnssd-4.8.2-1.fc16                Thu 19 Apr 2012 09:54:30 PM CDT
kdenetwork-kppp-4.8.2-1.fc16                  Thu 19 Apr 2012 09:54:23 PM CDT
kdenetwork-krdc-4.8.2-1.fc16                  Thu 19 Apr 2012 09:54:10 PM CDT
kdenetwork-krdc-libs-4.8.2-1.fc16             Thu 19 Apr 2012 09:54:09 PM CDT
NetworkManager-glib-0.9.4-2.git20120403.fc16  Thu 19 Apr 2012 09:53:52 PM CDT
kdenetwork-kget-4.8.2-1.fc16                  Thu 19 Apr 2012 09:53:47 PM CDT
kdenetwork-kget-libs-4.8.2-1.fc16             Thu 19 Apr 2012 09:53:45 PM CDT
kdenetwork-kopete-4.8.2-1.fc16                Thu 19 Apr 2012 09:52:36 PM CDT
kdenetwork-kopete-libs-4.8.2-1.fc16           Thu 19 Apr 2012 09:52:28 PM CDT
kdenetwork-krfb-4.8.2-1.fc16                  Thu 19 Apr 2012 09:52:15 PM CDT
kdenetwork-krfb-libs-4.8.2-1.fc16             Thu 19 Apr 2012 09:52:14 PM CDT
kdenetwork-common-4.8.2-1.fc16                Thu 19 Apr 2012 09:50:00 PM CDT
Comment 1 Jerry Amundson 2012-04-20 00:16:46 EDT
I was able to activate another wireless, hotspot on my mobile, but delete and add only gives me None for security.
Comment 2 Rex Dieter 2012-04-20 07:52:26 EDT
kdenetwork doesn't have much to do with connectivity.

Maybe kde-plasma-networkmanagement, but I'd be more suspicious of any recent kernel updates introducing driver regressions... for example, we've reports of recent kernel-3.3.1's causing atheros wireless failures.

What wireless chipset/driver do you use and what kernel versions have you tested?
Comment 3 Jerry Amundson 2012-05-24 23:45:39 EDT
kernel-3.3.4-3.fc16.i686
kernel-3.3.5-2.fc16.i686
kernel-3.3.6-3.fc16.i686

It was gone for a while, but now is back. No user on this laptop has a working wireless, no matter what the kernel. Other devices connect to AP fine. Even the Fedora 16 KDE Live CD can add the SSID just fine. 

02:03.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04)
Comment 4 Jerry Amundson 2012-05-24 23:59:46 EDT
[   46.397835] ipw2100: Intel(R) PRO/Wireless 2100 Network Driver, git-1.2.2
[   46.397840] ipw2100: Copyright(c) 2003-2006 Intel Corporation
[   46.398741] ipw2100: Detected Intel PRO/Wireless 2100 Network Connection

# modinfo ipw2100
filename:       /lib/modules/3.3.6-3.fc16.i686/kernel/drivers/net/wireless/ipw2x00/ipw2100.ko
firmware:       ipw2100-1.3.fw
firmware:       ipw2100-1.3-p.fw
firmware:       ipw2100-1.3-i.fw
license:        GPL
author:         Copyright(c) 2003-2006 Intel Corporation
version:        git-1.2.2
description:    Intel(R) PRO/Wireless 2100 Network Driver
srcversion:     8846EF53A0E1A08BF83482E
alias:          pci:v00008086d00001043sv00008086sd000025A0bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002598bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002596bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002593bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002591bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002592bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002590bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002587bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002586bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002585bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002581bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002583bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002582bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002580bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002570bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002567bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002566bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002565bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002561bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002563bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002562bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002560bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002555bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002554bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002553bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002551bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002550bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd0000252Dbc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd0000252Cbc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd0000252Bbc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002529bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002528bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002527bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002523bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002522bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002526bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002525bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002524bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002521bc*sc*i*
alias:          pci:v00008086d00001043sv00008086sd00002520bc*sc*i*
depends:        libipw,cfg80211
intree:         Y
vermagic:       3.3.6-3.fc16.i686 SMP mod_unload 686 
parm:           debug:debug level (int)
parm:           mode:network mode (0=BSS,1=IBSS,2=Monitor) (int)
parm:           channel:channel (int)
parm:           associate:auto associate when scanning (default off) (int)
parm:           disable:manually disable the radio (default 0 [radio on]) (int)
Comment 5 Jerry Amundson 2012-05-25 00:08:38 EDT
Now, the prompt window for Secrets .... KDE Daemon pops up. I enter the correct secret. /var/log/messages shows...

May 24 23:04:57 walnut NetworkManager[848]: get_secret_flags: assertion `is_secret_prop (setting, secret_name, error)' failed
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 1 of 5 (Device Prepare) scheduled...
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 1 of 5 (Device Prepare) started...
May 24 23:04:57 walnut NetworkManager[848]: <info> (em2): device state change: need-auth -> prepare (reason 'none') [60 40 0]
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 2 of 5 (Device Configure) scheduled...
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 1 of 5 (Device Prepare) complete.
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 2 of 5 (Device Configure) starting...
May 24 23:04:57 walnut NetworkManager[848]: <info> (em2): device state change: prepare -> config (reason 'none') [40 50 0]
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2/wireless): access point 'topdog' has security, but secrets are required.
May 24 23:04:57 walnut NetworkManager[848]: <info> (em2): device state change: config -> need-auth (reason 'none') [50 60 0]
May 24 23:04:57 walnut NetworkManager[848]: <info> Activation (em2) Stage 2 of 5 (Device Configure) complete.
May 24 23:06:57 walnut NetworkManager[848]: <warn> No agents were available for this request.
May 24 23:06:57 walnut NetworkManager[848]: <info> (em2): device state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
May 24 23:06:57 walnut NetworkManager[848]: <warn> Activation (em2) failed for access point (topdog)
May 24 23:06:57 walnut NetworkManager[848]: <info> Marking connection 'topdog' invalid.
May 24 23:06:57 walnut NetworkManager[848]: <warn> Activation (em2) failed.
May 24 23:06:57 walnut NetworkManager[848]: <info> (em2): device state change: failed -> disconnected (reason 'none') [120 30 0]
May 24 23:06:57 walnut NetworkManager[848]: <info> (em2): deactivating device (reason 'none') [0]
May 24 23:06:57 walnut NetworkManager[848]: <info> Policy set 'Wired connection 1' (em1) as default for IPv4 routing and DNS.
May 24 23:06:57 walnut NetworkManager[848]: <info> Policy set 'Wired connection 1' (em1) as default for IPv4 routing and DNS.
Comment 6 Rex Dieter 2012-05-25 06:56:46 EDT
I'd suggest installing and booting an even older kernel, the regression may have happened starting with or prior to even your oldest installed one: kernel-3.3.4-3.fc16.i686
Comment 7 Jerry Amundson 2012-05-26 19:04:36 EDT
kde-plasma-networkmanagement-0.9.0.2-1.fc16 has given the system much better wireless stability.

Note You need to log in before you can comment on or make changes to this bug.